# Highlight Products

The `highlight-products` library manages all processes related to the functionality to highlight products

## Versioning

Manage library versioning using the `@jscutlery/semver` tool, which automates semantic versioning based on your git history:

```bash
pnpm nx run highlight-products:version
```

For more details, refer to the official [SemVer documentation](https://github.com/jscutlery/semver).

## Publishing

Publish the library, automatically applying the appropriate tag based on the target environment:

- For feature branches (alpha release):
  ```bash
  pnpm nx run highlight-products:publish:feat
  ```
- For development (beta release):
  ```bash
  pnpm nx run highlight-products:publish:dev
  ```
- For production releases (stable release):
  ```bash
  pnpm nx run highlight-products:publish:prod
  ```

## Building

Build the library, specifying the target environment and targeting ES2019:

- For development environment:
  ```bash
  pnpm nx run highlight-products:build:dev
  ```
- For production:
  ```bash
  pnpm nx run highlight-products:build:prod
  ```

## Cleaning

Clean up build artifacts to maintain a tidy workspace:

```bash
pnpm nx run highlight-products:clean
```

## Testing

Run unit tests for the library:

```bash
pnpm nx run highlight-products:test
```

## Linting

Lint the project to ensure code quality and adherence to standards:

```bash
pnpm nx run highlight-products:lint
```
