import { HighlightProductProps } from '../types';
import { Product } from '../../../shared';
import { UsePaginationReturn, DataViewState, TableColumn, TableBodyCellProps, TableHeadCellProps, TableProps } from '@vtex/admin-ui';

export declare const pagination: {
    OPTIONS: number[];
    INITIAL_OPTION: number;
};
type Pagination = {
    OPTIONS: number[];
    INITIAL_OPTION: number;
};
type useHighlightProductTableResult = {
    columns: TableColumn<Product>[];
    isLiveEvent: boolean;
    itemsPerPage: number;
    numberOfItems: number;
    pagination: Pagination;
    products: Product[];
    selectedProductTableData: Product[];
    selectedProducts: string[];
    tableData: Product[];
    view: DataViewState;
    getBodyCell: (column: TableColumn<Product, any>, item: Product) => TableBodyCellProps<Product>;
    getHeadCell: (column: TableColumn<Product, any>) => TableHeadCellProps<Product>;
    getTable: () => TableProps<Product>;
    handlePageChange: (pagination: UsePaginationReturn) => void;
    handleSearch: (debouncedValue: string) => void;
    updateItemsPerPage: (value: number | null) => void;
};
export declare const useHighlightProductTable: (props: HighlightProductProps) => useHighlightProductTableResult;
export {};
//# sourceMappingURL=use-highlight-product-table.hook.d.ts.map